cc.funkemunky.api.utils.objects

## Class Interval<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.AbstractSequentialList<E>
      - - java.util.LinkedList<T>
        - - cc.funkemunky.api.utils.objects.Interval<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.Deque<T>, java.util.List<T>, java.util.Queue<T>

    public class Interval<T>
    extends java.util.LinkedList<T>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`Interval(Interval in)`
`Interval(long x, long max)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(T x)`
`double` `average()`
`void` `clearIfMax()`
`java.util.stream.Stream<java.lang.Number>` `distinct()`
`long` `distinctCount()`
`double` `frequency(double freq)`
`double` `max()`
`double` `min()`
`double` `std()`
`java.util.stream.Stream<java.lang.Number>` `streamNumber()`

### Methods inherited from class java.util.LinkedList

`add, addAll, addAll, addFirst, addLast, clear, clone, contains, descendingIterator, element, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, offer, offerFirst, offerLast, peek, peekFirst, peekLast, poll, pollFirst, pollLast, pop, push, remove, remove, remove, removeFirst, removeFirstOccurrence, removeLast, removeLastOccurrence, set, size, spliterator, toArray, toArray`

### Methods inherited from class java.util.AbstractSequentialList

`iterator`

### Methods inherited from class java.util.AbstractList

`equals, hashCode, listIterator, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`containsAll, isEmpty, removeAll, retainAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, replaceAll, retainAll, sort, subList`

### Methods inherited from interface java.util.Deque

`iterator`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### Interval

    public Interval(long x,
                    long max)

#### Interval

    public Interval(Interval in)

### Method Detail

#### average

    public double average()

#### frequency

    public double frequency(double freq)

#### distinctCount

    public long distinctCount()

#### distinct

    public java.util.stream.Stream<java.lang.Number> distinct()

#### std

    public double std()

#### max

    public double max()

#### min

    public double min()

#### add

    public boolean add(T x)

Specified by:
  `add` in interface `java.util.Collection<T>`
Specified by:
  `add` in interface `java.util.Deque<T>`
Specified by:
  `add` in interface `java.util.List<T>`
Specified by:
  `add` in interface `java.util.Queue<T>`
Overrides:
  `add` in class `java.util.LinkedList<T>`

#### clearIfMax

    public void clearIfMax()

#### streamNumber

    public java.util.stream.Stream<java.lang.Number> streamNumber()